from django.urls import path
from . import views


urlpatterns = [  

    path('customer/<str:customer_id>/', views.edit_customer, name='editcustomer'),
    path('business/<str:business_id>/', views.edit_business, name='editbusiness'),
    path('staff/<str:staff_id>/', views.edit_staff, name='editstaff'),
    path('project/<str:project_id>/', views.edit_project, name='editproject'),
    path('task/<str:task_id>', views.edit_task, name='edittask'),
    path('task-status/<str:task_id>', views.edit_task_status_modal, name='edittaskstatusmodal'),
    path('epic/', views.edit_epic, name='editepic'),
    path('projecttype/<int:projecttype_id>', views.edit_project_type, name='editprojecttype'),
    path('staffposition/', views.edit_staff_position, name='editstaffposition'),
    path('businesstype/<int:businesstype_id>', views.edit_business_type, name='editbusinesstype'),
    path('reference/<int:reference_id>', views.edit_reference, name='editreference'),
    path('tag/<int:tag_id>', views.edit_tag, name='edittag'),


    #Mark Points
    path('mark_point_working_on/<int:point_id>/<str:task_id>/', views.mark_point_working_on, name='mark_point_working_on'),
    path('mark_point_working_on_task_page/<int:point_id>/<str:task_id>/', views.mark_point_working_on_task_page, name='mark_point_working_on_task_page'),
    path('mark_point_completed/<int:point_id>/<str:task_id>/', views.mark_point_completed, name='mark_point_completed'),
    path('mark_point_completed_task_page/<int:point_id>/<str:task_id>/', views.mark_point_completed_task_page, name='mark_point_completed_task_page'),
    path('mark_point_paused/<int:point_id>/<str:task_id>/', views.mark_point_paused, name='mark_point_paused'),
   
]